## org.irisa.genouest.logol
Class View

    java.lang.Object
      org.irisa.genouest.logol.View

    public class View

extends java.lang.Object

Field Summary
`(package private) static int` `analysisPredCount`
`static java.util.Vector<java.lang.String>` `analysisPredicates`
`java.lang.String` `currentModel`
`private static java.lang.String` `EMPTYSTRING`
`private static org.apache.log4j.Logger` `logger`
`static java.lang.String` `OP_AND`
`static java.lang.String` `OP_OR`
`static java.lang.String` `OP_OVERLAP`
`(package private) static int` `predCount`
`static java.util.Vector<java.lang.String>` `predicates`

Constructor Summary
`View()`

Method Summary
`java.lang.String` `analysispredicate(java.lang.String predicate, int id, boolean useDummy)`
`java.lang.String` `execute(java.lang.String pred, java.lang.String operator, int type, int id)`
`private java.util.HashSet<java.lang.String>` `getAllUsedVariables(java.lang.String predicate)` Looks for variable references to know which variables are used in a predicate
`private java.util.HashSet<java.lang.String>` `getAllUserVariables(java.lang.String predicate)` Used by pre-analysis to get variables
`java.util.HashSet<java.lang.String>` `getErrorVariables(java.lang.String predicate)` Looks for variable errors to know which variables are used in a predicate
`java.lang.String` `getPredicateInput(java.lang.String predicate)` Get the first Before reference to get first intput
`java.lang.String` `getPredicateOutput(java.lang.String predicate)` Get the last After reference to get last output
`java.lang.String` `getSavedVariables(java.lang.String data, int id)` Gets the saved variable reference for the input data string
`java.lang.String` `map2predicate(java.lang.String predicate, int id)`
`java.lang.String` `map2predicate(java.lang.String predicate, int id, java.lang.String plist)`
`java.lang.String` `map2predicate(java.lang.String predicate, int id, java.lang.String plist, boolean overlap)`
`static void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    private static final org.apache.log4j.Logger logger

### predicates

    public static java.util.Vector<java.lang.String> predicates

### analysisPredicates

    public static java.util.Vector<java.lang.String> analysisPredicates

### analysisPredCount

    static int analysisPredCount

### predCount

    static int predCount

### OP_AND

    public static final java.lang.String OP_AND

See Also:
  Constant Field Values

### OP_OR

    public static final java.lang.String OP_OR

See Also:
  Constant Field Values

### OP_OVERLAP

    public static final java.lang.String OP_OVERLAP

See Also:
  Constant Field Values

### EMPTYSTRING

    private static final java.lang.String EMPTYSTRING

See Also:
  Constant Field Values

### currentModel

    public java.lang.String currentModel

Constructor Detail

### View

    public View()

Method Detail

### reset

    public static void reset()

### execute

    public java.lang.String execute(java.lang.String pred,
                                    java.lang.String operator,
                                    int type,
                                    int id)

### analysispredicate

    public java.lang.String analysispredicate(java.lang.String predicate,
                                              int id,
                                              boolean useDummy)

### getAllUserVariables

    private java.util.HashSet<java.lang.String> getAllUserVariables(java.lang.String predicate)

  Used by pre-analysis to get variables

  Parameters:
    `predicate` -
  Returns:
    a Set of variables saved in grammar for the current predicate

### map2predicate

    public java.lang.String map2predicate(java.lang.String predicate,
                                          int id)

### map2predicate

    public java.lang.String map2predicate(java.lang.String predicate,
                                          int id,
                                          java.lang.String plist)

### map2predicate

    public java.lang.String map2predicate(java.lang.String predicate,
                                          int id,
                                          java.lang.String plist,
                                          boolean overlap)

### getSavedVariables

    public java.lang.String getSavedVariables(java.lang.String data,
                                              int id)

  Gets the saved variable reference for the input data string

  Parameters:
    `data` -
    `id` - current id of variable, -1 if not applicable
  Returns:
    a List of data reference

### getErrorVariables

    public java.util.HashSet<java.lang.String> getErrorVariables(java.lang.String predicate)

  Looks for variable errors to know which variables are used in a predicate

  Parameters:
    `predicate` - predicate string to analyse to get used variables
  Returns:
    Set of used variables (unique)

### getAllUsedVariables

    private java.util.HashSet<java.lang.String> getAllUsedVariables(java.lang.String predicate)

  Looks for variable references to know which variables are used in a predicate

  Parameters:
    `predicate` - predicate string to analyse to get used variables
  Returns:
    Set of used variables (unique)

### getPredicateInput

    public java.lang.String getPredicateInput(java.lang.String predicate)

  Get the first Before reference to get first intput

  Parameters:
    `predicate` - Predicate to analyse
  Returns:
    reference to the input variable

### getPredicateOutput

    public java.lang.String getPredicateOutput(java.lang.String predicate)

  Get the last After reference to get last output

  Parameters:
    `predicate` - Predicate to analyse
  Returns:
    reference to the output variable